<?php

namespace App\Http\Controllers\api\v1;

use App\Http\Controllers\Controller;
use App\Models\Facturas;
use Illuminate\Http\Request;

class FacturasController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //

        $facturas= Facturas::all();
        return response()->json($facturas);
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
        $facturas= new Facturas();
        $facturas->ctID=$request->ctID;
        $facturas->empID=$request->empID;
        $facturas->fecha=$request->fecha;
        $facturas->subtotal=$request->subtotal;
        $facturas->iva=$request->iva;
        $facturas->total=$request->total;
        $facturas->save();

        return response()->json([
            'message'=>'Factura creada correctamente'
        ]);
    }

    /**
     * Display the specified resource.
     */
    public function show( $id)
    {
        //
        $facturas= Facturas::find($id);
        if(!empty ($facturas)){
            return response()->json($facturas);
        }
        else
        {
            return response()->json([
                'message'=>'No se encontro la factura'
                ]);
        }
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request,$id)
    {
        //
        $facturas= Facturas::find($id);

       // $facturas->ctID=$request->ctID;
       // $facturas->empID=$request->empID;
       // $facturas->fecha=$request->fecha;
        $facturas->subtotal=$request->subtotal;
        $facturas->iva=$request->iva;
        $facturas->total=$request->total;

        $facturas->save();

        return response()->json([
            'message'=>'Factura Actualizada correctamente'
        ]);

    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy($id)
    {
        //
        $facturas= Facturas::find($id);
        $facturas->delete();
        return response()->json([
            'message'=>'Factura Eliminada correctamente'
            ]);
            
            


    }
}
